package projectzombie.tiles;

import gl_engine.vec.Vec2i;
import projectzombie.init.Models;
import projectzombie.model.Model;
import projectzombie.util.math.TileState;

public class TileLadder extends Tile
{

	public TileLadder() {
		
		this.tileSolid = true;
		this.tileHitbox = 0.3;
		this.unbreakable = true;
		this.emitsLight = true;
		this.passNaturalLight = false;
	}
	
	@Override
	public double getLightLevel(TileState state, Vec2i pos) {
		return 0.5;
	}
	
	@Override
	public Model getModel(byte meta) {
		return Models.TILE_LADDER;
	}

}
